org.springframework.cloud.dataflow.server.service.impl

## Enum NodeStatus

- java.lang.Object
- - java.lang.Enum<NodeStatus>
  - - org.springframework.cloud.dataflow.server.service.impl.NodeStatus

- All Implemented Interfaces:
    Serializable, Comparable<NodeStatus>

      public enum NodeStatus
      extends Enum<NodeStatus>

  App Status of a node in a dataflow DSL.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `invalid` Application can not be deployed.
    `valid` Application can be deployed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### valid

          public static final NodeStatus valid

      Application can be deployed.

    - #### invalid

          public static final NodeStatus invalid

      Application can not be deployed.

  - ### Method Detail

    - #### values

          public static NodeStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeStatus c : NodeStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.